/* Inicio Funciones de posicionamiento en combos  */
var digitos=16 //cantidad de digitos buscados 
var puntero=0 
var buffer=new Array(digitos) //declaraci�n del array Buffer 
var cadena="" 

function buscar_op(obj,objfoco){ 
   var letra = String.fromCharCode(event.keyCode) ;
   var bIgual=false;
   if(puntero >= digitos){ 
	   borrar_buffer();    } 
   //si se presiona la tecla ENTER, borro el array de teclas presionadas y salto a otro objeto... 
   if (event.keyCode == 13){ 
       borrar_buffer(); 
       if(objfoco!=0) objfoco.focus(); //evita foco a otro objeto si objfoco=0 
    } 
   //sino busco la cadena tipeada dentro del combo... 
   else{ 
       buffer[puntero]=letra; 
       //guardo en la posicion puntero la letra tipeada 
       cadena=cadena+buffer[puntero]; //armo una cadena con los datos que van ingresando al array 
       puntero++; 

       //barro todas las opciones que contiene el combo y las comparo la cadena... 
       for (var opcombo=0;((opcombo < obj.length) && (!bIgual));opcombo++){ 
          if(obj[opcombo].text.substr(0,puntero).toLowerCase()==cadena.toLowerCase()){ 
          		obj.selectedIndex=opcombo; 
          		bIgual=true;
          } 
       } 
    } 
   event.returnValue = false; //invalida la acci�n de pulsado de tecla para evitar busqueda del primer caracter 
} 

function existeCaracter(cadena, caracter){
	var pos=cadena.indexOf(caracter);
	if (pos>=0)
		return true;
	else
		return false;
	
	
}

function borrar_buffer(){ 
   //inicializa la cadena buscada 
    cadena=""; 
    puntero=0; 
} 
/* Fin Funciones de posicionamiento en combos  */
	
/*
*  Funci�n que devuelve si un campo es vacio o no
*/

function esVacio(cadena)
{
  if (cadena==null || cadena=="")
     return true;
  else
     return false;   

}
/*  Funcion que anula la tecla return  */
	function cancelaEnter() { 
		var enter = window.event.keyCode;
		var CurrentObj;
		if (enter == 8) {
			CurrentObj=event.srcElement;
			if (CurrentObj.tagName!='INPUT' && CurrentObj.tagName!='TEXTAREA')
			{
				event.returnValue = false;
			}
		}
		else if (enter == 13) {
			CurrentObj=event.srcElement;
			if (CurrentObj.tagName!='SELECT')
			 {
			   event.returnValue = false;
             }	
			
		}
	return true;
	} // Fin funcion cancelaEnter
/*
*  Funci�n que verifica si un numero es entero positivo  
*/

function esEntero (cadena)
{ 
   cadena= cadena.toString();
   for (i=0;i<cadena.length;i++)
   {
    var car=cadena.charAt(i);
    if (car >= "0" && car <= "9" )
        continue;
    else
        return false;    
   }
   return true;
}

/*
*  Funci�n que verifica si un numero es entero positivo o negativo
*/

function esEnteroSig (cadena)
{ 
   cadena= cadena.toString();
   if (cadena.charAt(0)=="-"){
   	  cadena = cadena.substring(1,cadena.length);
   }
   for (i=0;i<cadena.length;i++)
   {
    var car=cadena.charAt(i);
    if (car >= "0" && car <= "9" )
        continue;
    else
        return false;    
   }
   return true;
}

/*     Recibe una Fecha como string con formato 'dd/MM/yyyy' y devuelve:
       Un String con el formato yyyymmdd  
*/
   function addMesesAFecha (sFecha, meses){
	    var mes = sFecha.getMonth()+meses;
	    var resul = sFecha.getDate() + '/' + mes + '/' + sFecha.getYear();
	    return resul;
}

/*     Recibe una Fecha como string con formato 'dd/MM/yyyy' y devuelve:
       Un String con el formato yyyymmdd  
*/



   function formatoFechas (sFecha){
        
        var Fecha, mes,dia, ejercicio;
      
        if(idioma=="eu"){
	        sItem = sFecha.split("/");
	        dia=sItem[2];
	        if (dia.length==1)
	        	dia = "0" + dia;
	        mes=sItem[1];
	        if (mes.length==1)
	        	mes = "0" + mes;
	        ejercicio=sItem[0];
        }
        else{
        	sItem = sFecha.split("/");
	        dia=sItem[0];
	        if (dia.length==1)
	        	dia = "0" + dia;
	        mes=sItem[1];
	        if (mes.length==1)
	        	mes = "0" + mes;
	        ejercicio=sItem[2];
        }
        Fecha=ejercicio+mes+dia;
        
        return Fecha;
   
   }
   
   function formatoFechasConBarra (sFecha){
          
        var Fecha, mes,dia, ejercicio;
        
        sItem = sFecha.split("/");
         if(idioma=="eu"){
	        dia=sItem[2];
	        if (dia.length==1)
	        	dia = "0" + dia;
	        mes=sItem[1];
	        if (mes.length==1)
	        	mes = "0" + mes;
	        ejercicio=sItem[0];
	
	        Fecha=dia+"/"+mes+"/"+ejercicio;
        }
        else{

            dia=sItem[0];
            if (dia.length==1)
            	dia = "0" + dia;
            mes=sItem[1];
            if (mes.length==1)
            	mes = "0" + mes;
            ejercicio=sItem[2];
            Fecha=dia+"/"+mes+"/"+ejercicio;
        }
        return Fecha;
   
   }
   
/*     
       Compara dos fechas y devuelve cierto si la Fecha Fin 
       es Mayor o igual que la Fecha Inicio
*/

    
   function comparaFechas(sfechaIni, sfechaFin) {
 
	var fInicio;
	var fFin;
	fInicio=formatoFechas(sfechaIni);

    fFin=formatoFechas(sfechaFin);

    if (fInicio>fFin){
            return false;
    }
    return true;
    }
    
  function comparaFechasMayorIgual(sfechaIni, sfechaFin) {
 
	var fInicio;
	var fFin;
	fInicio=formatoFechas(sfechaIni);
    fFin=formatoFechas(sfechaFin);
    if (fInicio>=fFin){
           return false;
    }
    return true;
    }    
    
/*     
       Compara dos fechas y devuelve cierto si la Fecha Fin es igual
       que la Fecha Inicio
*/
   function FechasIguales (sfechaIni, sfechaFin){
   
   
   	var fInicio;
	var fFin;
	
	fInicio=formatoFechas(sfechaIni);
        fFin=formatoFechas(sfechaFin);	

        if (fInicio==fFin){
         
           return true;
        }
       
        return false;
   }   

  /*
    Funcion que habilita los campos de busqueda de una asignacion
  */

   function Habilita () {
          var docu=document.formAsignaciones;
          docu.NSolicitud.disabled=false;
          docu.FSolicitud.disabled=false;
          docu.AsigPermanente.disabled=false;
          docu.Desde.disabled=false;
          docu.Hasta.disabled=false;
          docu.Dni.disabled=false;
          docu.Nombre.disabled=false;
          docu.Matricula.disabled=false;
          docu.FDevolucion.disabled=false;
          docu.Finalizada.disabled=false;
          docu.Kmsalida.disabled=false;
          docu.Kmllegada.disabled=false;
          docu.Kmrecorridos.disabled=false;
          docu.Rango.disabled=false;

   }

   /*
    Funcion que deshabilita los campos por los que no se realiza la busqueda de una asignacion
  */
   function desHabilita (){
          var docu=document.formAsignaciones;
          docu.HoraDesde.disabled=true;
          docu.HoraHasta.disabled=true;
          docu.HoraDevol.disabled=true;
          docu.Marca.disabled=true;
          docu.Modelo.disabled=true;
          docu.Color.disabled=true;
          docu.Cargo.disabled=true;
          docu.Rang.disabled=true;
          docu.CodDpto.disabled=true;
          docu.Comentarios.disabled=true;
          docu.DescDpto.disabled=true;
          docu.RangPer.disabled=true;

   }
   /*
     Funcion que Limpia los campos del formulario
   */
   function limpiaCampos (){
            var docu=document.formAsignaciones;
           docu.HoraDesde.value="";
          docu.HoraHasta.value="";
          docu.HoraDevol.value="";
          docu.Marca.value="";
          docu.Modelo.value="";
          docu.Color.value="";
          docu.Cargo.value="";
          docu.Rang.value="";
          docu.Comentarios.value="";
          docu.RangPer.value="";
          docu.NSolicitud.value="";
          docu.FSolicitud.value="";
          docu.AsigPermanente.checked=false;
          docu.Desde.value="";
          docu.Hasta.value="";
          for (i=0;i<docu.Rango.length;i++){
              docu.Rango.options[i].selected=false;
              if (docu.Rango.options[i].value==""){
                docu.Rango.options[i].selected=true;
              }
          }
          docu.Dni.value="";
          docu.Nombre.value="";
           for (i=0;i<docu.CodDpto.length;i++){
              docu.CodDpto.options[i].selected=false;
              if (docu.CodDpto.options[i].value==""){
                docu.CodDpto.options[i].selected=true;
              }
          }
          docu.CodDpto.options[0].selected;
          docu.Matricula.value="";
          docu.DescDpto.value="";
          docu.FDevolucion.value="";
          docu.Finalizada.checked=false;
          docu.Kmsalida.value="";
          docu.Kmllegada.value="";
          docu.Kmrecorridos.value="";
   }

   /*
   Funci�n que Carga el Campo descripci�n de XXX
   cuando se cambia en el combo el c�digo de XXX
   */

   function cambCod (form,codigo,descripcion){

            var doc=form;
	        var combo=document.all(codigo);
	        var index = combo.selectedIndex;
			document.form.descripcion.value=combo.item(index).innerHTML ;
   }
   /*
   Funci�n que limpia los campos de Marca Modelo y Color
   cuando introducimos una nueva matricula que no ha sido
   validada es decir que no ha sido introducida por la
   opcion de vehiculos libres
   */

   function borraMatricula () {

          var doc=document.formAsignaciones;
		  doc.Matricula.value="";
          doc.Marca.value="";
          doc.Modelo.value="";
          doc.Color.value="";
		  doc.Kmsalida.value="0";
   }

      /*
   Funci�n que limpia los campos de Nombre,Cargo,Rango,
   Departamento, Codigo departamento  cuando introducimos
   una nueva matricula que no ha sido validada es decir
   que no ha sido introducida por la opcion de vehiculos libres
   */
   function borraDni () {

           var doc=document.formAsignaciones;
           doc.Nombre.value="";
           doc.Cargo.value="";
           doc.Rang.value=""; 
           doc.RangPer.value="";
           doc.CodDpto.value="";
           doc.DescDpto.value="";
           doc.CodCargo.value="";

   }
   /*
   Funci�n que calcula los Kilometros recorridos por
   el vehiculo durante la asignaci�n del mismo
   */
   function kmRecorridos ()
   {
	   Actual=document.formAsignaciones.KmAct.value;
       Inicio=document.formAsignaciones.Kmsal.value;
       Final=document.formAsignaciones.Kmlleg.value;
	   var kmAct=parseInt(Actual,10);
       var kmIni=parseInt(Inicio,10);
       var kmFin=null;
       if (Final!="")
       {
         kmFin=parseInt(Final,10);
       }
        var FkmAct=document.formAsignaciones.FKmAct.value;
       var FkmFin=document.formAsignaciones.FDevolucion.value;  
 	   if  ((kmFin!= null) && (kmFin<kmIni)) {
	   	   var msge = dameAlerta(idioma, 230);
	   	   msge=msge.replace("replace1",kmFin);
	       msge=msge.replace("replace2",kmIni);
	       alert(msge);
	       document.formAsignaciones.Kmrecorridos.value="";
	       document.formAsignaciones.Kmllegada.focus();
	       return false;
	   }

        if ((kmFin!= null) && (kmFin<kmAct) && (FkmFin!="")  && (comparaFechasMayorIgual(FkmAct, FkmFin))){
	   	   var msge = dameAlerta(idioma, 257);
	   	   msge=msge.replace("replace1",kmFin);
	       msge=msge.replace("replace2",kmAct);
 	       alert(msge);
	   }

	   if ((kmFin!= null) && (kmFin>kmAct)&&    (FkmFin!="")  && (comparaFechasMayorIgual(FkmFin,FkmAct))){
	   	   var msge = dameAlerta(idioma, 258);
	   	   msge=msge.replace("replace1",kmFin);
	       msge=msge.replace("replace2",kmAct);
	       alert(msge);
	   }	   

	   if ( (kmFin!= null) && ( (kmFin-kmAct)>20000) &&    (FkmFin!="")  && (comparaFechas(FkmAct,FkmFin)) ){
			var msge3 = dameAlerta(idioma, 190);
				msge3 = msge3.replace("replace1",kmAct);
				msge3 = msge3.replace("replace2",kmFin);
			if (!confirm(msge3)){
				bGrabar="0";
				document.formAsignaciones.Kmrecorridos.value="";
				document.formAsignaciones.Kmllegada.focus();
				return false;
			}else{
			 if (document.formAsignaciones.Kmllegada.value!=""){
			   document.formAsignaciones.Kmrecorridos.value=(kmFin-kmIni);
			   }
			}
	   }	
   		 if (document.formAsignaciones.Kmllegada.value!=""){
   				document.formAsignaciones.Kmrecorridos.value=(kmFin-kmIni);}
       return true;
   }
   
   function kmRecorridosIni ()
   {
	   Actual=document.formAsignaciones.KmAct.value;
       Inicio=document.formAsignaciones.Kmsal.value;
       Final=document.formAsignaciones.Kmlleg.value;
	   var kmAct=parseInt(Actual,10);
       var kmIni=parseInt(Inicio,10);
       var kmFin=parseInt(Final,10);
       var kmFin=null;
       if (Final!="")
       {
         kmFin=parseInt(Final,10);
       }
       var FkmAct=document.formAsignaciones.FKmAct.value;
       var FkmIni=document.formAsignaciones.Desde.value;
       if ((kmFin!= null) && (kmIni<kmAct)&& (comparaFechasMayorIgual(FkmAct, FkmIni))){
	   	   var msge = dameAlerta(idioma, 257);
	   	   msge=msge.replace("replace1",kmIni);
	       msge=msge.replace("replace2",kmAct);
	       alert(msge);
	   }
	   if ((kmIni>kmAct)&&  (comparaFechasMayorIgual(FkmIni,FkmAct))){	
   	   	   var msge = dameAlerta(idioma, 258);
	   	   msge=msge.replace("replace1",kmIni);
	       msge=msge.replace("replace2",kmAct);
	       alert(msge);
	   }
	   if (((kmIni-kmAct)>20000)&& (comparaFechas(FkmAct,FkmIni)) ){
			var msge3 = dameAlerta(idioma, 190);
				msge3 = msge3.replace("replace1",kmAct);
				msge3 = msge3.replace("replace2",kmIni);
			if (!confirm(msge3)){
				bGrabar="0";
				document.formAsignaciones.Kmsalida.focus();
			    return false;
			}
	   }		   		   	   
	   if ((kmFin!= null) && (kmFin<kmIni)) {
	   	   var msge = dameAlerta(idioma, 230);
	   	   msge=msge.replace("replace1",kmFin);
	       msge=msge.replace("replace2",kmIni);
	       alert(msge);
	   	   document.formAsignaciones.Kmrecorridos.value="";
	   	   document.formAsignaciones.Kmllegada.focus();
	       return false;
	   }	      
       return true;
   }   
   
   function kmOTIni ()
   {
	   Actual=document.formOrdTrabajo.KmAct.value;
       Inicio=document.formOrdTrabajo.Kment.value;
       Final=document.formOrdTrabajo.Kmsal.value;
	   var kmAct=parseInt(Actual,10);
       var kmIni=parseInt(Inicio,10);
       var kmFin=null;
       if (Final!="")
       {
         kmFin=parseInt(Final,10);
       }
       var FkmAct=document.formOrdTrabajo.FKmAct.value;
       var FkmIni=document.formOrdTrabajo.FEntrada.value;

       if ((kmIni<kmAct)&& (comparaFechasMayorIgual(FkmAct, FkmIni))){
	   	   var msge = dameAlerta(idioma, 257);
	   	   msge=msge.replace("replace1",kmIni);
	       msge=msge.replace("replace2",kmAct);
	       alert(msge);
	   	   //document.formAsignaciones.Kmllegada.value="0";
	       //document.formAsignaciones.Kmrecorridos.value="0";
	    }
	    if ((kmIni>kmAct) && (comparaFechasMayorIgual(FkmIni,FkmAct))){
	   	   var msge = dameAlerta(idioma, 258);
	   	   msge=msge.replace("replace1",kmIni);
	       msge=msge.replace("replace2",kmAct);
	       alert(msge);
	   }
	   if (((kmIni-kmAct)>20000)&& (comparaFechas(FkmAct,FkmIni)) ){
			var msge3 = dameAlerta(idioma, 190);
				msge3 = msge3.replace("replace1",kmAct);
				msge3 = msge3.replace("replace2",kmIni);
			if (!confirm(msge3)){
				bGrabar="0";
				document.formOrdTrabajo.KmEntrada.focus();
			    return false;
			}
	   }		   		   
	   if ((kmFin!= null) && (kmFin<kmIni)) {
	   	   var msge = dameAlerta(idioma, 230);
	   	   msge=msge.replace("replace1",kmFin);
	       msge=msge.replace("replace2",kmIni);
	       alert(msge);
	   	   //document.formOrdTrabajo.KmSalida.value="";
	   	   document.formOrdTrabajo.KmSalida.focus();
	       //document.formOrdTrabajo.Kmrecorridos.value="0";
	       return false;
	   }	      
       return true;
   }      
   
   function kmOTFin()
   {
 
	   Actual=document.formOrdTrabajo.KmAct.value;
       Inicio=document.formOrdTrabajo.Kment.value;
       Final=document.formOrdTrabajo.Kmsal.value;
	   var kmAct=parseInt(Actual,10);
       var kmIni=parseInt(Inicio,10);
       var kmFin=null;
       if (Final!="")
       {
         kmFin=parseInt(Final,10);
       }
       var FkmAct=document.formOrdTrabajo.FKmAct.value;
       var FkmFin=document.formOrdTrabajo.FSalida.value;
 
	   if ( (kmFin!= null) && (kmFin<kmIni) ){
	   	   var msge = dameAlerta(idioma, 230);
	   	   msge=msge.replace("replace1",kmFin);
	       msge=msge.replace("replace2",kmIni);
	       alert(msge);
	   	   document.formOrdTrabajo.KmSalida.focus();
	       //document.formOrdTrabajo.Kmrecorridos.value="0";
	       return false;
	   }
       if ((kmFin!= null) && (kmFin<kmAct)&&    (FkmFin!="")  && (comparaFechasMayorIgual(FkmAct, FkmFin))){
	   	   var msge = dameAlerta(idioma, 257);
	   	   msge=msge.replace("replace1",kmFin);
	       msge=msge.replace("replace2",kmAct);
	       alert(msge);
	   	   //document.formAsignaciones.Kmllegada.value="0";
	       //document.formAsignaciones.Kmrecorridos.value="0";
	   }

	   if ( (kmFin!= null) && (kmFin>kmAct)&&    (FkmFin!="")  && (comparaFechasMayorIgual(FkmFin,FkmAct))){
	   	   var msge = dameAlerta(idioma, 258);
	   	   msge=msge.replace("replace1",kmFin);
	       msge=msge.replace("replace2",kmAct);
	       alert(msge);
	   }
	   if ((kmFin!= null) && ( (kmFin-kmAct)>20000) &&    (FkmFin!="") &&  (FkmFin!=undefined) && (comparaFechas(FkmAct,FkmFin)) ){
			var msge3 = dameAlerta(idioma, 190);
				msge3 = msge3.replace("replace1",kmAct);
				msge3 = msge3.replace("replace2",kmFin);
			if (!confirm(msge3)){
				bGrabar="0";
				document.formOrdTrabajo.KmSalida.focus();
			}
	   }		   		   	   
	   
	   	         
       return true;
   }    
   
   
   function kmComparaKmActual (KmActual,Km,FKmActual,FKm)
   {
	   Actual=KmActual;
       Inicio=Km;
	   var kmAct=parseInt(Actual,10);
       var kmIni=parseInt(Inicio,10);

       if ((kmIni<kmAct) && (comparaFechasMayorIgual(FKmActual, FKm))){
	   	   var msge = dameAlerta(idioma, 257);
	   	   msge=msge.replace("replace1",kmIni);
	       msge=msge.replace("replace2",kmAct);
	       alert(msge);
	 
	   }else if ((kmIni>=kmAct) && (comparaFechasMayorIgual(FKm,FKmActual))){
	   	   var msge = dameAlerta(idioma, 258);
	   	   msge=msge.replace("replace1",kmIni);
	       msge=msge.replace("replace2",kmAct);
	       alert(msge);
	 
	   }		   		   
 
   }         
        
   /*
   Funci�n que se�ala como activa la carpeta que se acaba de pinchar y
   	   y como deshabilitada la que anteriormente estaba activa
   */
   function cambiarEstadoTab (tabNuevo,tabAnterior)
   {
       tabAnterior.style.backgroundColor="blue";
   	   tabNuevo.style.backgroundColor="#000078";
   }

   	/* Funciones comunes a las Pesta�as de Gesti�nde Veh�culos. */
   		    function fncCambioMatricula(direccion){
			    var docu=document.formVehiculos;
                //var p1 = window.showModalDialog("/parquemovil/matricula.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:400px;dialogHeight:150px");		              
		               if(existeCaracter(docu.Matricula.value,"\'")||existeCaracter(docu.Matricula.value,'\"')){
				 			alert(dameAlerta(idioma, 1));
				 			docu.Matricula.focus();
				 			return;
				 		}
		              //if (p1!="") {	
		              	  //docu.Matricula.value=p1;
			              var matricula=docu.MatriculaS.value;
			              matricula=matricula.toUpperCase();
			              docu.MatriculaS.value=matricula;
                          //tab.style.backgroundColor="blue";
			              
                          docu.action=direccion+"&Matricula="+docu.MatriculaS.value;
		                  docu.target="_top";
		                  docu.submit();
		               //}
			    
		    } // Fin fncMatricula
   	
   	/* Funciones comunes a las Pesta�as de Gesti�nde Veh�culos. */
   		    function fncMatricula(){
			    var docu=document.formVehiculos;			 
			    if(existeCaracter(docu.Matricula.value,"\'")||existeCaracter(docu.Matricula.value,'\"')){
		 			alert(dameAlerta(idioma, 1));
		 			docu.Matricula.focus();
		 			return;
		 		}
                //var p1 = window.showModalDialog("/parquemovil/matricula.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:400px;dialogHeight:150px");
		              
		              //if (p1!="") {	
		              	  //docu.Matricula.value=p1;
			              var matricula=docu.Matricula.value;
			              matricula=matricula.toUpperCase();
			              docu.Matricula.value=matricula;
                          //tab.style.backgroundColor="blue";
			              
                          docu.action="m05bVehiculosJsp.jsp?Matricula="+docu.Matricula.value;
		                  docu.target="_top";
		                  docu.submit();
		               //}
			    
		    } // Fin fncMatricula

		    function fncITV(habil){
		    //var docu=document.formVehiculos;
		    var p;
		    var docu=parent.document.formVehiculos;
		    if ((docu.Matricula.value=="")||(docu.Existe.value=="0")) {
		    	alert(dameAlerta(idioma, 92));
		    	var tab=document.getElementById("tabTarjetas");
		    	var tabVarios=document.getElementById("tabVarios");
   	            tabVarios.style.backgroundColor="#000078";
                //tab.style.backgroundColor="#3366CC";
            }
		    else{
           // p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
            //if (p==1) {
		       docu.action="m05bVehITVJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
		       docu.target="_top";
		       docu.submit();}}
		   // } // Fin fncITV

	function fncSiniestros(habil){
		    var docu=document.formVehiculos;
            var p;
            //p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
            //if (p==1) {
		    if ((docu.Matricula.value=="")||(docu.Existe.value=="0")) {
		    	alert(dameAlerta(idioma, 92));
		    	var tab=document.getElementById("tabTarjetas");
		    	var tabVarios=document.getElementById("tabVarios");
   	            tabVarios.style.backgroundColor="#000078";
                //tab.style.backgroundColor="#3366CC";
                }
             else {
		       docu.action="m05bVehSiniestroJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
		       docu.target="_top";
		       docu.submit();}}
	// } // Fin fncSiniestros

		    function fncTasa (habil) {
		    var docu=top.document.formVehiculos;
		    var p;
           // p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
           // if (p==1) {
		    if ((docu.Matricula.value=="")||(docu.Existe.value=="0")) {
		    	alert(dameAlerta(idioma, 92));
		    	var tab=document.getElementById("tabTarjetas");
		    	var tabVarios=document.getElementById("tabVarios");
   	            tabVarios.style.backgroundColor="#000078";
                //tab.style.backgroundColor="#3366CC";
                }
            else {
		       docu.action="m05bVehTasasJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
		       docu.target="_top";
		       docu.submit();}}
		   // } // Fin fncTasa

		    function fncSeguro (habil){
		    var p;
		    var docu=parent.document.formVehiculos;
		    if ((docu.Matricula.value=="")||(docu.Existe.value=="0")) {
		    	alert(dameAlerta(idioma, 92));
		    	var tab=document.getElementById("tabTarjetas");
		    	var tabVarios=document.getElementById("tabVarios");
   	            tabVarios.style.backgroundColor="#000078";
                //tab.style.backgroundColor="#3366CC";
                }
		    else{
		    
            //p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
            //if (p==1) {
		    
		       docu.action="m05bVehSeguroJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
		       docu.target="_top";
		       docu.submit();}}
		   // } // Fin fncSeguro

		    function fncGastos (habil) {
		    var p;
		    var docu=document.formVehiculos;
            //p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
            //if (p==1) {
            
		    if ((docu.Matricula.value=="")||(docu.Existe.value=="0")) {
		    	alert(dameAlerta(idioma, 92));
		    	var tab=document.getElementById("tabTarjetas");
		    	var tabVarios=document.getElementById("tabVarios");
   	            tabVarios.style.backgroundColor="#000078";
                //tab.style.backgroundColor="#3366CC";
                }
             else {
		       docu.action="m05bVehGastosJsp.jsp?Inicio=true&Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
		       docu.target="_top";
		       docu.submit();}}
		  // } // Fin fncGastos

		    function fncTarjetas (habil){
		    var p;
		    var docu=parent.document.formVehiculos;
		    if ((docu.Matricula.value=="")||(docu.Existe.value=="0")) {
		    	alert(dameAlerta(idioma, 92));
		    	var tab=document.getElementById("tabTarjetas");
		    	var tabVarios=document.getElementById("tabVarios");
   	            tabVarios.style.backgroundColor="#000078";
                //tab.style.backgroundColor="#3366CC";
                //fncVarios () ;
   	            
		    	}
		    else{
		    
           // p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
           // if (p==1) {
		    
		       docu.action="m05bVehTarjetasJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
		       docu.target="_top";
		       docu.submit();}}
		   // } // Fin fncTarjetas

		    function fncSanciones (habil) {
		    var p;
		    var docu=document.formVehiculos;
            //p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
            //if (p==1) {
		    if ((docu.Matricula.value=="")||(docu.Existe.value=="0")) {
		    	alert(dameAlerta(idioma, 92));
		    	var tab=document.getElementById("tabTarjetas");
		    	var tabVarios=document.getElementById("tabVarios");
   	            tabVarios.style.backgroundColor="#000078";
                //tab.style.backgroundColor="#3366CC";
                }
            else {
		       docu.action="m05bVehSancionesJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
		       docu.target="_top";
		       docu.submit();}}
		    //} // Fin fncSanciones

		    function fncEconomica (habil) {
		    var p;
		    var docu=document.formVehiculos;
		    //if (parent.document.formVarios.HayCambios.value == "1"){
            // p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
             //if (p==1) {
		    if ((docu.Matricula.value=="")||(docu.Existe.value=="0")) {
		    	alert(dameAlerta(idioma, 92));
		    	var tab=document.getElementById("tabTarjetas");
		    	var tabVarios=document.getElementById("tabVarios");
   	            tabVarios.style.backgroundColor="#000078";
                //tab.style.backgroundColor="#3366CC";
                }
             else{
		       docu.action="m05bEconomicoJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
		       docu.target="_top";
		       docu.submit();}}
		   // } // Fin fncEconomica
		    
		    function fncVarios (habil) {
		    var p;
		    var docu=document.formVehiculos;
		    //var tabVarios=document.getElementById("tabVarios");
   	        //    tabVarios.style.backgroundColor="#000078";
		    
            //p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
           // if (p==1) {
			   docu.action="m05bVehiculosJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
			   docu.target="_top";
			   docu.submit();}
		//	} // Fin fncVarios

		     function fncReformas (habil) {
     		    var p;
            	var docu=document.formVehiculos;
		    if ((docu.Matricula.value=="")||(docu.Existe.value=="0")) {
		    	 alert(dameAlerta(idioma, 92));
		    	 var tab=document.getElementById("tabTarjetas");
		    	 var tabVarios=document.getElementById("tabVarios");
   	             tabVarios.style.backgroundColor="#000078";
                 //tab.style.backgroundColor="#3366CC";
                 }
               else {
               //p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
               //if (p==1) {
		       docu.action="m05bVehReformasJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
		       docu.target="_top";
		       docu.submit();}}
		     //} // Fin fncReformas
		    
		    function fncCambiaEstilo (tabActual) {
            var docu=document.formVehiculos;
		    if (docu.Existe.value=="1"){
		    	
		       cambiarEstadoTab(tabActual,tabAnterior);
		       tabAnterior=tabActual;}
			}  // Fin fncCambiaEstilo
			
			function fncCambiaDpto() {
	            var cmbDpto=document.all("Dpto");
	            var index = cmbDpto.selectedIndex;
				document.formVehiculos.DescDpto.value=cmbDpto.item(index).innerHTML ;
			} // Fin fncCambiaDpto
		    function fncAmortiza (habil) {
		      var p;
		      var docu=document.formVehiculos;
              //p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
		       
              //if (p==1) {
			  docu.action="m05bAmortizaJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
 			  docu.target="_top";
		      docu.submit();
			 }
			   // }  // Fin funcion fncAmortiza
		     function fncCuotas (habil) {
			       var docu=document.formVehiculos;
		    var p;
                 //p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
                 //if (p==1) {			       
			       docu.action="m05bCuotasJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
     			   docu.target="_top";
			       docu.submit();}
			   // } // Fin funcion fncCuotas
		     function fncTransferen (habil) {
		    var p;
			       var docu=document.formVehiculos;
            //p = window.showModalDialog("/parquemovil/guardar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:300px;dialogHeight:225px");
                 //if (p==1) {			       
			       docu.action="m05bTransferenJsp.jsp?Matricula="+docu.Matricula.value+"&Habilitar=" + habil;
     			   docu.target="_top";
			       docu.submit();}
			    //} // Fin funcion fncTransferen
			function fncCambioRango(RangoBD) {
                 var docu=document.formVehiculos;
                 if  (docu.Situacion.value == "B"){
		              docu.CRango.value = RangoBD;
                      alert(dameAlerta(idioma, 231));}
                 else{
                  if ((RangoBD != docu.CRango.options[docu.CRango.selectedIndex].value )&& (RangoBD !="")){		
                    var p = window.confirm(dameAlerta(idioma, 232));
                    if (p==1) {			       
		              var propiedades="left=175,top=175,width=350,height=150,scrollbars=yes";
                    var p1 = window.showModalDialog("/parquemovil/amortizar.htm",null,"status:no;center:yes;help:no;minimize:no;maximize:no;border:thin;statusbar:no;dialogWidth:400px;dialogHeight:150px");
		              
		              if (p1!="") {	
		              	  docu.ImpTransferenciaVehi.value=p1;
		              	  docu.ImpTransferencia.value=p1;
		              	  docu.TitTransferencia.value="Importe Transferencia";
                           window.confirm(dameAlerta(idioma, 233));
                           }
		              else{
		              	 docu.TitTransferencia.value="";
                         docu.ImpTransferencia.style.border = "0px solid #000000"; 		              	  
		                 docu.CRango.value = RangoBD;
		              }
		             }
		             else {
	              	  docu.TitTransferencia.value="";
                      docu.ImpTransferencia.value="";
		              docu.CRango.value = RangoBD;
		             }}}
			     } 
			     // Fin fncCambiaDpto

// Habilita los campos del formulario pasado como parametro 
//	  excepto los campos pasados como parametro
function fncHabilitarMenosCampo(frm,campos) {

  for (var i = 0; i < frm.elements.length; i++) {
   if (campos.indexOf(frm.elements[i].name)==-1)
   {
    frm.elements[i].disabled=false;
   }
  }
}

// Enlaza con la busqueda de personas
function fncBuscarPersonas (frm){
	    var nombre=frm.Nombre.value;
	    if (nombre == null) {
	    	nombre="";
	    }
	    if(frm.Nombre) {
		    if(existeCaracter(nombre,"\'")||existeCaracter(nombre,'\"')){
	 			alert(dameAlerta(idioma, 1));
	 			frm.Nombre.focus();
	 			return;
	 		}
	 	}

	    var dni=frm.Dni.value;
	    if (dni == null) {
	    	dni="";
	    }	
	    if(frm.Dni) {    
		    if(existeCaracter(dni,"\'")||existeCaracter(dni,'\"')){
	 			alert(dameAlerta(idioma, 1));
	 			frm.Dni.focus();
	 			return;
	 		}
 		}
	    var propiedades="left=50,top=100,width=700,height=550,scrollbars=yes";
	    var ventana ='m05bBuscarPersonasJsp.jsp?Nombre='+nombre+'&Dni='+dni+'&Origen='+frm.name;
   	    return window.open(ventana,'',propiedades);
} // Fin fncBuscarPersonas  
  

// Enlaza con la busqueda de personas
function fncBuscarPersonas2 (frm){
	    var nombre=frm.Nombre2.value;
	    if (nombre == null) {
	    	nombre="";
	    }
	    if(frm.Nombre) {
		    if(existeCaracter(nombre,"\'")||existeCaracter(nombre,'\"')){
	 			alert(dameAlerta(idioma, 1));
	 			frm.Nombre.focus();
	 			return;
	 		}
	 	}

	    var dni=frm.Dni2.value;
	    if (dni == null) {
	    	dni="";
	    }	
	    if(frm.Dni) {    
		    if(existeCaracter(dni,"\'")||existeCaracter(dni,'\"')){
	 			alert(dameAlerta(idioma, 1));
	 			frm.Dni.focus();
	 			return;
	 		}
 		}
	    var propiedades="left=50,top=100,width=700,height=550,scrollbars=yes";
	    var ventana ='m05bBuscarPersonasJsp.jsp?tipoAsig=S&Nombre='+nombre+'&Dni='+dni+'&Origen='+frm.name;
	    window.open(ventana,'',propiedades);
} // Fin fncBuscarPersonas  

// Enlaza con la busqueda de organismos
function fncBuscarOrganismos (frm){
	    var descripcionOrg =frm.DescripcionOrg.value;
	    if (descripcionOrg == null) {
	    	descripcionOrg ="";
	    }
	    if(frm.DescripcionOrg) {
		    if(existeCaracter(descripcionOrg,"\'")||existeCaracter(descripcionOrg,'\"')){
	 			alert(dameAlerta(idioma, 1));
	 			frm.DescripcionOrg.focus();
	 			return;
	 		}
	 	}

	    var codOrg=frm.CodOrg.value;
	    if (codOrg == null) {
	    	codOrg="";
	    }	
	    if(frm.CodOrg) {    
		    if(existeCaracter(codOrg,"\'")||existeCaracter(codOrg,'\"')){
	 			alert(dameAlerta(idioma, 1));
	 			frm.CodOrg.focus();
	 			return;
	 		}
 		}
	    var propiedades="left=50,top=100,width=700,height=550,scrollbars=yes";
	    var ventana ='m05bBuscarOrganismosJsp.jsp?Codigo='+codOrg+'&Descripcion='+descripcionOrg+'&Origen='+frm.name;
	    window.open(ventana,'',propiedades);
} // Fin fncBuscarOrganismos 

// Enlaza con la busqueda de personas  que tenian asignado un vehiculo 
function fncBuscarDniAsignado (frm){
	    var matricula=frm.Matricula.value;
	    var FecDni=frm.FecDni.value;
	    var HorDni=frm.HorDni.value;
	    var propiedades="left=50,top=100,width=700,height=550,scrollbars=yes";
	    var ventana ='m05bBuscarDniAsigJsp.jsp?Origen='+frm.name+'&Matricula='+matricula+'&FecDni='+FecDni+'&HorDni='+HorDni;
	    window.open(ventana,'',propiedades);
} // Fin fncBuscarPersonas  

// Enlaza con la busqueda de asignaciones
function fncBuscarAsignado (frm, isEsp){
	    var fecha=frm.FecDen.value;
	    if (fecha == null) {
	    	fecha="";
	    }
	    var hora=frm.HorDen.value;
	    if (hora == null) {
	    	hora="";
	    }	   
	    var matricula=frm.Matricula.value;
	    if (matricula == null) {
	    	matricula="";
	    }	    
	    var propiedades="";
	    var ventana ='m05bBuscarAsignadoJsp.jsp?Fecha='+fecha +'&Hora='+hora+'&Origen='+frm.name+'&Matricula='+matricula+'&IsEsp='+isEsp;
	    window.open(ventana,'','scrollbars=no,resizable=no,width=500,height=200,top=9999,left=9999');
} // Fin fncBuscarAsignaciones  
	
// Enlaza con la busqueda de asignaciones
function fncBuscarAsignadoOrOrdTrab(frm, isEsp){
	    var fecha=frm.FecDen.value;
	    if (fecha == null) {
	    	fecha="";
	    }
	    var hora=frm.HorDen.value;
	    if (hora == null) {
	    	hora="";
	    }	   
	    var matricula=frm.Matricula.value;
	    if (matricula == null) {
	    	matricula="";
	    }	    
	    var propiedades="";
	    var ventana ='m05bBuscarAsignadoOrOrdTrabJsp.jsp?Fecha='+fecha +'&Hora='+hora+'&Origen='+frm.name+'&Matricula='+matricula+'&IsEsp='+isEsp;
	    window.open(ventana,'','scrollbars=no,resizable=yes,width=500,height=200,top=9999,left=9999');
	   
	   } // Fin fncBuscarAsignaciones  
		
	
// Enlaza con la busqueda de talleres
function fncBuscarTaller (frm){
	    var nombre=frm.CodTaller.value;
	    if (nombre == null) {
	    	nombre="";
	    }
	    if(frm.CodTaller){
	     	  if(existeCaracter(nombre,"\'")||existeCaracter(nombre,'\"')){
		 			alert(dameAlerta(idioma, 1));
		 			frm.CodTaller.focus();
		 			return;
		 	  }
		}
				  
	    var descripcion=frm.DescTaller.value;
	    if (descripcion == null) {
	    	descripcion="";
	    }	    
	    if(frm.DescTaller){
	     	  if(existeCaracter(descripcion,"\'")||existeCaracter(descripcion,'\"')){
		 			alert(dameAlerta(idioma, 1));
		 			frm.DescTaller.focus();
		 			return;
		 	  }
		}
		
	    var propiedades="left=50,top=100,width=700,height=550,scrollbars=yes";
	    var ventana ='m05bRelTalleresJsp.jsp?Codigo='+nombre+'&Descripcion='+descripcion+'&Origen='+frm.name;
	    window.open(ventana,'',propiedades);
} // Fin fncBuscarTaller  

function fncBuscarCentro (frm){
	    var nombre=frm.CodCentro.value;
	    if(frm.CodCentro){
			if(existeCaracter(nombre,"\'")||existeCaracter(nombre,'\"')){
	 			alert(dameAlerta(idioma, 1));
	 			frm.CodCentro.focus();
	 			return;
	 		}
	 	}
	    if (nombre == null) {
	    	nombre="";
	    }
	    var descripcion=frm.DescCentro.value;
	    if(frm.DescCentro){
		    if(existeCaracter(descripcion,"\'")||existeCaracter(descripcion,'\"')){
	 			alert(dameAlerta(idioma, 1));
	 			frm.DescCentro.focus();
	 			return;
	 		}
 		}
 		
	    if (descripcion == null) {
	    	descripcion="";
	    }	    
	    var propiedades="left=50,top=100,width=700,height=550,scrollbars=yes";
	    var ventana ='m05bRelCentrosJsp.jsp?Codigo='+nombre+'&Descripcion='+descripcion+'&Origen='+frm.name;
	    window.open(ventana,'',propiedades);
} // Fin fncBuscarTaller  

//Funci�n que recoloca el calendario en una posici�n x,y 
function cambiaPosCal(x,y){
   		var obj = document.getElementById("p01popUpWindowCalendar");
   		obj.style.top = y + "px";
   		obj.style.left = x + "px";
}	

function fueraPestana(Element){
		//var Element = document.getElementById(id);
		Element.bgColor="#3366CC";
}
function dentroPestana(Element){
		//var Element = document.getElementById(id);
		Element.bgColor="#6699FF";
}
function replaceAll(elemento,val1, val2){
	if(elemento!=null && elemento!=""){
		while(elemento.indexOf(val1)!=-1){
			if(elemento.indexOf(val1)!=-1)
				elemento = elemento.replace(val1,val2);
			else 
				return elemento;
		}
	}
	return elemento;
}

 
   		    function fncAsignacion(){
 			    var docu=document.formAsignaciones;			 
			    if(existeCaracter(docu.NSolicitud.value,"\'")||existeCaracter(docu.NSolicitud.value,'\"')){
		 			alert(dameAlerta(idioma, 1));
		 			docu.NSolicitud.focus();
		 			return;
		 		}
   		              var nSolicitud=docu.NSolicitud.value;
			              nSolicitud=nSolicitud.toUpperCase();
			              docu.NSolicitud.value=nSolicitud;
	                      docu.action="m05bGenerarAsignacionServlet?Codigo="+nSolicitud+"&Mensaje=buscar";
	                      docu.target="_top";
		                  docu.submit();
			    
		    } // Fin fncAsignacion
	

	
// Enlaza con la busqueda de departamentos en XLNETs
function fncBuscarDepartamentosXLNETs(frm) {
	var propiedades="left=50,top=100,width=900,height=650,scrollbars=yes";
	var ventana ='m05bBuscarDepartamentosXLNETsJsp.jsp?Origen='+frm.name;
	window.open(ventana,'',propiedades);
} // Fin fncBuscarDepartamentosXLNETs

// Enlaza con la busqueda de departamentos en XLNETs
function fncBuscarPersonasXLNETs(frm, codigoFiltro, disabled, buscar) {
    var propiedades="left=50,top=100,width=900,height=650,scrollbars=yes";
    var ventana ='m05bBuscarPersonasXLNETsJsp.jsp?Origen='+frm.name+'&codigoFiltro='+codigoFiltro+'&disabled='+disabled+'&buscar='+buscar;
	window.open(ventana,'',propiedades);
} // Fin fncBuscarPersonasXLNETs